Bug 64096 - kdbconfig and X configuration
kdbconfig and X configuration
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kbdconfig (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-25 12:40 EDT by derrien
Modified: 2016-10-10 10:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-06 23:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64096 ovirt-4.0 MERGED net: Consume ifcfg files that have a non vdsm standard name 2016-09-29 06:38 EDT
oVirt gerrit 65304 ovirt-4.0.5 MERGED net: Consume ifcfg files that have a non vdsm standard name 2016-10-11 07:53 EDT

  None (edit)
Description derrien 2002-04-25 12:40:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
It would be fine if kbdconfig can also modify X configuration
(as mouseconfig with --modifyx option)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. kdbconfig
2. 
3.
	

Additional info:
Comment 1 Bill Nottingham 2002-06-12 02:33:15 EDT
Does the new keyboard tool do this?
Comment 2 Brent Fox 2002-06-12 11:26:45 EDT
Yes it does.  It modifies /etc/sysconfig/keyboard and /etc/X11/XF86Config-4 for
the new keyboard layout.  It also calls setxkbmap and loadkeys to load the new
keymap for the console and the current X session. 

However, it currently modifies the XF86Config-4 file manually.  It would be nice
to use Alex's new XFree86 library to do the modfication instead of hvaing the
file intelligence inside redhat-config-keyboard.  

Also, redhat-config-keyboard does not currently have a text mode interface. 
Once I implement that, we could replace kbdtool if we want to.  notting, any
opinions here?
Comment 3 Bill Nottingham 2002-06-12 11:28:25 EDT
Having a text mode tool would be good, yes.
Comment 4 Brent Fox 2002-06-12 11:47:29 EDT
I meant on replacing kbdconfig altogether.
Comment 5 Bill Nottingham 2002-06-12 11:54:52 EDT
If we have a new text tool, sure.
Comment 6 Brent Fox 2002-11-26 16:54:50 EST
A text mode now exists for redhat-config-keyboard.  Just run it with
'redhat-config-keyboard --text'.  It will default to text mode if an X server
isn't currently available as well.  This should resolve this bug report.

redhat-config-keyboard-1.0.1-7 should be in Rawhide now.

Note You need to log in before you can comment on or make changes to this bug.